package com.ruoyi.manage.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 巡检记录对象 record_inspection
 * 
 * @author wangh
 * @date 2024-02-18
 */
public class RecordInspection extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long inspectionId;

    /** 巡检时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "巡检时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date inspectionTime;

    /** 巡检人 */
    @Excel(name = "巡检人")
    private String inspectionUser;

    private int totalNumber;
    private int normalNumber;
    private int abnormalNumber;
    private int skipNumber;

    public void setInspectionId(Long inspectionId) 
    {
        this.inspectionId = inspectionId;
    }

    public Long getInspectionId() 
    {
        return inspectionId;
    }
    public void setInspectionTime(Date inspectionTime) 
    {
        this.inspectionTime = inspectionTime;
    }

    public Date getInspectionTime() 
    {
        return inspectionTime;
    }
    public void setInspectionUser(String inspectionUser)
    {
        this.inspectionUser = inspectionUser;
    }

    public String getInspectionUser()
    {
        return inspectionUser;
    }

    public int getTotalNumber() {
        return totalNumber;
    }

    public void setTotalNumber(int totalNumber) {
        this.totalNumber = totalNumber;
    }

    public int getNormalNumber() {
        return normalNumber;
    }

    public void setNormalNumber(int normalNumber) {
        this.normalNumber = normalNumber;
    }

    public int getAbnormalNumber() {
        return abnormalNumber;
    }

    public void setAbnormalNumber(int abnormalNumber) {
        this.abnormalNumber = abnormalNumber;
    }

    public int getSkipNumber() {
        return skipNumber;
    }

    public void setSkipNumber(int skipNumber) {
        this.skipNumber = skipNumber;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("inspectionId", getInspectionId())
            .append("inspectionTime", getInspectionTime())
            .append("inspectionUser", getInspectionUser())
            .toString();
    }
}
